/**
 * @file
 * Provide images gallery button.
 */

(function ($, Drupal, CKEDITOR) {

  'use strict';

  CKEDITOR.plugins.add('images_gallery', {
    requires: 'dialog',
    icons: 'gallery',
    init: function (editor) {
      CKEDITOR.dialog.add('gallery', CKEDITOR.getUrl(this.path + 'dialogs/gallery.js'));
      editor.addCommand('gallery', new CKEDITOR.dialogCommand('gallery'));
      editor.addContentsCss(this.path + 'styles/widget.css');

      editor.widgets.add('gallery_widget', {
        upcast: function (element) {
          // Defines which elements will become widgets.
          if (element.hasClass('cke-ig')) {
            return true;
          }
        },
        init: function () {
        },
        dialog: 'gallery'
      });

      editor.ui.addButton('Gallery', {
        label: Drupal.t('Image gallery'),
        command: 'gallery',
        toolbar: 'doctools,10'
      });
    }
  });
})(jQuery, Drupal, CKEDITOR);
